Bug 229360 - x11-toolkits/swt: Update to 4.7.3a
Summary: x11-toolkits/swt: Update to 4.7.3a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-06-27 11:14 UTC by Thomas Merkel
Modified: 2019-01-28 03:13 UTC (History)
2 users (show)

See Also:
tm: maintainer-feedback+


Attachments
Patch for ports tree to update swt-4.7.3a (20.94 KB, patch)
2018-06-27 11:14 UTC, Thomas Merkel
no flags Details | Diff
Patch for ports tree to update swt-4.7.3a (including fixes) (18.58 KB, patch)
2018-09-07 11:11 UTC, Thomas Merkel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Merkel 2018-06-27 11:14:02 UTC
Created attachment 194670 [details]
Patch for ports tree to update swt-4.7.3a

Attached you find an update to the latest (4.7.3a) version of x11-toolkits/swt. This has been tested only on FreeBSD 12 CURRENT on amd64 yet!
Comment 1 Nathan 2018-08-26 22:44:46 UTC
.if ${PORT_OPTIONS:MBROWSER}
 USES=		gecko
 BROKEN=		Does not build with newer libxul
.endif

Could be removed, as well as the option if it is now broken. No need to keep it as an option if it doesn't work anymore
Comment 2 Nathan 2018-08-26 22:45:55 UTC
Also don't use CP, use ${INSTALL_DATA}
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-27 07:28:47 UTC
Needs patch update (comment 1) and general QA (poudriere, and over whole port).
Comment 4 Thomas Merkel 2018-09-07 11:11:04 UTC
Created attachment 196936 [details]
Patch for ports tree to update swt-4.7.3a (including fixes)
Comment 5 Thomas Merkel 2018-09-07 11:11:37 UTC
I've updated the patch as recommended by Nathan (thanks for your feedback).
Comment 6 commit-hook freebsd_committer 2019-01-28 03:12:30 UTC
A commit references this bug:

Author: swills
Date: Mon Jan 28 03:12:10 UTC 2019
New revision: 491450
URL: https://svnweb.freebsd.org/changeset/ports/491450

Log:
  x11-toolkits/swt: update to 4.7.3a

  PR:		229360
  Submitted by:	Thomas Merkel <tm+freebsd@core.io>

Changes:
  head/x11-toolkits/swt/Makefile
  head/x11-toolkits/swt/distinfo
  head/x11-toolkits/swt/files/build.xml
  head/x11-toolkits/swt/files/patch-OS.java
  head/x11-toolkits/swt/files/patch-build.sh
  head/x11-toolkits/swt/files/patch-build.xml
  head/x11-toolkits/swt/files/patch-make_freebsd.mak
  head/x11-toolkits/swt/files/patch-org_eclipse_swt_internal_C.java
Comment 7 Steve Wills freebsd_committer 2019-01-28 03:13:32 UTC
Committed, with minor changes. Thanks for the patch, sorry it took so long.